Shared publicly  - 
 
Have you ever needed to test your app against a particular version of libvirt that differs from what's in Fedora. There is now a simple solution in the form of the "virt-ark" copr repository....

# dnf copr enable berrange/virt-ark
# dnf install libvirt-ark* --exclude=*debuginfo
...

Installed:
libvirt-ark-1_2_0.x86_64 1.2.0-1
libvirt-ark-1_2_1.x86_64 1.2.1-1
libvirt-ark-1_2_2.x86_64 1.2.2-1
libvirt-ark-1_2_3.x86_64 1.2.3-1
libvirt-ark-1_2_4.x86_64 1.2.4-1
libvirt-ark-1_2_5.x86_64 1.2.5-1
libvirt-ark-1_2_6.x86_64 1.2.6-1
libvirt-ark-1_2_7.x86_64 1.2.7-1
libvirt-ark-1_2_8.x86_64 1.2.8-1
libvirt-ark-1_2_9.x86_64 1.2.9-1
libvirt-ark-1_2_10.x86_64 1.2.10-1
libvirt-ark-1_2_11.x86_64 1.2.11-1
libvirt-ark-1_2_12.x86_64 1.2.12-1
libvirt-ark-1_2_13.x86_64 1.2.13-1
libvirt-ark-1_2_14.x86_64 1.2.14-1
libvirt-ark-1_2_15.x86_64 1.2.15-1
libvirt-ark-1_2_16.x86_64 1.2.16-1
libvirt-ark-1_2_17.x86_64 1.2.17-1
libvirt-ark-1_2_18.x86_64 1.2.18-1
libvirt-ark-1_2_19.x86_64 1.2.19-1
libvirt-ark-1_2_20.x86_64 1.2.20-1
libvirt-ark-1_2_21.x86_64 1.2.21-1
libvirt-ark-1_3_0.x86_64 1.3.0-1
libvirt-ark-1_3_1.x86_64 1.3.1-1
libvirt-ark-1_3_2.x86_64 1.3.2-1
libvirt-ark-1_3_3.x86_64 1.3.3-1
libvirt-ark-1_3_4.x86_64 1.3.4-1
libvirt-ark-1_3_5.x86_64 1.3.5-1
libvirt-ark-2_0_0.x86_64 2.0.0-1
libvirt-ark-2_1_0.x86_64 2.1.0-1
libvirt-ark-2_2_0.x86_64 2.2.0-1
libvirt-ark-2_3_0.x86_64 2.3.0-1
libvirt-ark-2_4_0.x86_64 2.4.0-1
libvirt-ark-2_5_0.x86_64 2.5.0-1

Yes, that really is 33 different versions of libvirt, each installed into /opt/libvirt/$VERSION. They are completely independent so you can run all 30 versions of libvirtd in parallel without conflicts - just be sure to use the corresponding virsh to connect to them. Setting PKG_CONFIG_PATH=/opt/libvirt/$VERSION/lib/pkgconfig lets you build against a particular version.

In the future I'd like to expand this repo to cover even more libvirt versions, and also provide an archive of QEMU versions
7
1
Subhendu Ghosh's profile photo
Add a comment...